# OpenLayers.Format.WFSCapabilities.v1

Abstract class not to be instantiated directly.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.WFSCapabilities.v1 | Abstract class not to be instantiated directly.
Properties |
errorProperty | {String} Which property of the returned object to check for in order to determine whether or not parsing has failed.
Constructor |
OpenLayers.Format.WFSCapabilities.v1_1 | Create an instance of one of the subclasses.
Functions |
read | Read capabilities data from a string, and return a list of layers.

### Properties

### errorProperty

{String} Which property of the returned object to check for in order to determine whether or not parsing has failed. In the case that the errorProperty is undefined on the returned object, the document will be run through an OGCExceptionReport parser.

### Constructor

### OpenLayers.Format.WFSCapabilities.v1_1

Create an instance of one of the subclasses.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data | )

Read capabilities data from a string, and return a list of layers.

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Array} List of named layers.

> read: function( | data | )

Read capabilities data from a string, and return a list of layers.
Read and write XML.
Close